﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="ToitKojuModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012.Azure" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Categories">
          <Key>
            <PropertyRef Name="CategoryID" />
          </Key>
          <Property Name="CategoryID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="CategoryName" Type="nvarchar" MaxLength="40" Nullable="false" />
          <Property Name="Description" Type="nvarchar" MaxLength="100" />
          <Property Name="Picture" Type="varbinary(max)" />
        </EntityType>
        <EntityType Name="Details">
          <Key>
            <PropertyRef Name="DetailID" />
          </Key>
          <Property Name="DetailID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="RecipeID" Type="int" Nullable="false" />
          <Property Name="OrderNo" Type="int" Nullable="false" />
          <Property Name="IngredientID" Type="int" />
          <Property Name="Comment" Type="nvarchar" MaxLength="100" />
          <Property Name="Unit" Type="char" MaxLength="20" />
          <Property Name="UnitsAmount" Type="decimal" Precision="5" Scale="1" />
        </EntityType>
        <EntityType Name="Ingredients">
          <Key>
            <PropertyRef Name="IngredientID" />
          </Key>
          <Property Name="IngredientID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="IngredientName" Type="nvarchar" MaxLength="32" Nullable="false" />
          <Property Name="Unit" Type="char" MaxLength="20" />
          <Property Name="UnitsInStock" Type="int" />
          <Property Name="UnitPrice" Type="decimal" Precision="7" Scale="2" />
        </EntityType>
        <EntityType Name="Orders">
          <Key>
            <PropertyRef Name="OrderID" />
          </Key>
          <Property Name="OrderID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="OrderDate" Type="datetime" Nullable="false" />
          <Property Name="DeliveryDate" Type="datetime" />
          <Property Name="UserID" Type="int" Nullable="false" />
          <Property Name="ReceipeID" Type="int" Nullable="false" />
          <Property Name="ActualEaters" Type="int" />
          <Property Name="DeliveryInstructions" Type="nvarchar" MaxLength="200" />
        </EntityType>
        <EntityType Name="Recipies">
          <Key>
            <PropertyRef Name="RecipeID" />
          </Key>
          <Property Name="RecipeID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="RecipeName" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="CategoryID" Type="int" />
          <Property Name="Author" Type="int" />
          <Property Name="Picture" Type="varbinary(max)" />
          <Property Name="TargetAmount" Type="int" Nullable="false" />
          <Property Name="Instructions" Type="nvarchar(max)" />
        </EntityType>
        <!--Errors Found During Generation:
warning 6013: The table/view 'ToitKoju.dbo.UnitConverter' does not have a primary key defined and no valid primary key could be inferred. This table/view has been excluded. To use the entity, you will need to review your schema, add the correct keys, and uncomment it.
        <EntityType Name="UnitConverter">
          <Property Name="UnitFrom" Type="char" MaxLength="10" />
          <Property Name="UnitTo" Type="char" MaxLength="10" />
          <Property Name="Amount" Type="decimal" Precision="7" Scale="2" />
        </EntityType>-->
        <EntityType Name="Users">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UserName" Type="nvarchar" MaxLength="40" Nullable="false" />
          <Property Name="UserRole" Type="char" MaxLength="20" />
          <Property Name="EMail" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="Phone" Type="varchar" MaxLength="32" />
          <Property Name="Address" Type="nvarchar" MaxLength="100" />
          <Property Name="City" Type="nvarchar" MaxLength="20" />
        </EntityType>
        <!--Errors Found During Generation:
warning 6002: The table/view 'ToitKoju.sys.database_firewall_rules' does not have a primary key defined. The key has been inferred and the definition was created as a read-only table/view.-->
        <EntityType Name="database_firewall_rules">
          <Key>
            <PropertyRef Name="id" />
            <PropertyRef Name="name" />
            <PropertyRef Name="start_ip_address" />
            <PropertyRef Name="end_ip_address" />
            <PropertyRef Name="create_date" />
            <PropertyRef Name="modify_date" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="start_ip_address" Type="varchar" MaxLength="45" Nullable="false" />
          <Property Name="end_ip_address" Type="varchar" MaxLength="45" Nullable="false" />
          <Property Name="create_date" Type="datetime" Nullable="false" />
          <Property Name="modify_date" Type="datetime" Nullable="false" />
        </EntityType>
        <Association Name="FK__Details__Ingredi__59063A47">
          <End Role="Ingredients" Type="Self.Ingredients" Multiplicity="0..1" />
          <End Role="Details" Type="Self.Details" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Ingredients">
              <PropertyRef Name="IngredientID" />
            </Principal>
            <Dependent Role="Details">
              <PropertyRef Name="IngredientID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Details__RecipeI__571DF1D5">
          <End Role="Recipies" Type="Self.Recipies" Multiplicity="1" />
          <End Role="Details" Type="Self.Details" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Recipies">
              <PropertyRef Name="RecipeID" />
            </Principal>
            <Dependent Role="Details">
              <PropertyRef Name="RecipeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Orders__ReceipeI__5DCAEF64">
          <End Role="Recipies" Type="Self.Recipies" Multiplicity="1" />
          <End Role="Orders" Type="Self.Orders" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Recipies">
              <PropertyRef Name="RecipeID" />
            </Principal>
            <Dependent Role="Orders">
              <PropertyRef Name="ReceipeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Orders__UserID__5CD6CB2B">
          <End Role="Users" Type="Self.Users" Multiplicity="1" />
          <End Role="Orders" Type="Self.Orders" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="Orders">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Recipies__Author__4F7CD00D">
          <End Role="Users" Type="Self.Users" Multiplicity="0..1" />
          <End Role="Recipies" Type="Self.Recipies" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="Recipies">
              <PropertyRef Name="Author" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Recipies__Catego__4E88ABD4">
          <End Role="Categories" Type="Self.Categories" Multiplicity="0..1" />
          <End Role="Recipies" Type="Self.Recipies" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categories">
              <PropertyRef Name="CategoryID" />
            </Principal>
            <Dependent Role="Recipies">
              <PropertyRef Name="CategoryID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="ToitKojuModelStoreContainer">
          <EntitySet Name="Categories" EntityType="Self.Categories" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Details" EntityType="Self.Details" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Ingredients" EntityType="Self.Ingredients" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Orders" EntityType="Self.Orders" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Recipies" EntityType="Self.Recipies" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Users" EntityType="Self.Users" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="database_firewall_rules" EntityType="Self.database_firewall_rules" store:Type="Views" store:Schema="sys">
            <DefiningQuery>SELECT 
    [database_firewall_rules].[id] AS [id], 
    [database_firewall_rules].[name] AS [name], 
    [database_firewall_rules].[start_ip_address] AS [start_ip_address], 
    [database_firewall_rules].[end_ip_address] AS [end_ip_address], 
    [database_firewall_rules].[create_date] AS [create_date], 
    [database_firewall_rules].[modify_date] AS [modify_date]
    FROM [sys].[database_firewall_rules] AS [database_firewall_rules]</DefiningQuery>
          </EntitySet>
          <AssociationSet Name="FK__Details__Ingredi__59063A47" Association="Self.FK__Details__Ingredi__59063A47">
            <End Role="Ingredients" EntitySet="Ingredients" />
            <End Role="Details" EntitySet="Details" />
          </AssociationSet>
          <AssociationSet Name="FK__Details__RecipeI__571DF1D5" Association="Self.FK__Details__RecipeI__571DF1D5">
            <End Role="Recipies" EntitySet="Recipies" />
            <End Role="Details" EntitySet="Details" />
          </AssociationSet>
          <AssociationSet Name="FK__Orders__ReceipeI__5DCAEF64" Association="Self.FK__Orders__ReceipeI__5DCAEF64">
            <End Role="Recipies" EntitySet="Recipies" />
            <End Role="Orders" EntitySet="Orders" />
          </AssociationSet>
          <AssociationSet Name="FK__Orders__UserID__5CD6CB2B" Association="Self.FK__Orders__UserID__5CD6CB2B">
            <End Role="Users" EntitySet="Users" />
            <End Role="Orders" EntitySet="Orders" />
          </AssociationSet>
          <AssociationSet Name="FK__Recipies__Author__4F7CD00D" Association="Self.FK__Recipies__Author__4F7CD00D">
            <End Role="Users" EntitySet="Users" />
            <End Role="Recipies" EntitySet="Recipies" />
          </AssociationSet>
          <AssociationSet Name="FK__Recipies__Catego__4E88ABD4" Association="Self.FK__Recipies__Catego__4E88ABD4">
            <End Role="Categories" EntitySet="Categories" />
            <End Role="Recipies" EntitySet="Recipies" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="ToitKojuModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Category">
          <Key>
            <PropertyRef Name="CategoryID" />
          </Key>
          <Property Name="CategoryID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="CategoryName" Type="String" MaxLength="40" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Description" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Picture" Type="Binary" MaxLength="Max" FixedLength="false" />
          <NavigationProperty Name="Recipies" Relationship="Self.FK__Recipies__Catego__4E88ABD4" FromRole="Categories" ToRole="Recipies" />
        </EntityType>
        <EntityType Name="Detail">
          <Key>
            <PropertyRef Name="DetailID" />
          </Key>
          <Property Name="DetailID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="RecipeID" Type="Int32" Nullable="false" />
          <Property Name="OrderNo" Type="Int32" Nullable="false" />
          <Property Name="IngredientID" Type="Int32" />
          <Property Name="Comment" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Unit" Type="String" MaxLength="20" FixedLength="true" Unicode="false" />
          <Property Name="UnitsAmount" Type="Decimal" Precision="5" Scale="1" />
          <NavigationProperty Name="Ingredient" Relationship="Self.FK__Details__Ingredi__59063A47" FromRole="Details" ToRole="Ingredients" />
          <NavigationProperty Name="Recipy" Relationship="Self.FK__Details__RecipeI__571DF1D5" FromRole="Details" ToRole="Recipies" />
        </EntityType>
        <EntityType Name="Ingredient">
          <Key>
            <PropertyRef Name="IngredientID" />
          </Key>
          <Property Name="IngredientID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="IngredientName" Type="String" MaxLength="32" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Unit" Type="String" MaxLength="20" FixedLength="true" Unicode="false" />
          <Property Name="UnitsInStock" Type="Int32" />
          <Property Name="UnitPrice" Type="Decimal" Precision="7" Scale="2" />
          <NavigationProperty Name="Details" Relationship="Self.FK__Details__Ingredi__59063A47" FromRole="Ingredients" ToRole="Details" />
        </EntityType>
        <EntityType Name="Order">
          <Key>
            <PropertyRef Name="OrderID" />
          </Key>
          <Property Name="OrderID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="OrderDate" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="DeliveryDate" Type="DateTime" Precision="3" />
          <Property Name="UserID" Type="Int32" Nullable="false" />
          <Property Name="ReceipeID" Type="Int32" Nullable="false" />
          <Property Name="ActualEaters" Type="Int32" />
          <Property Name="DeliveryInstructions" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Recipy" Relationship="Self.FK__Orders__ReceipeI__5DCAEF64" FromRole="Orders" ToRole="Recipies" />
          <NavigationProperty Name="User" Relationship="Self.FK__Orders__UserID__5CD6CB2B" FromRole="Orders" ToRole="Users" />
        </EntityType>
        <EntityType Name="Recipy">
          <Key>
            <PropertyRef Name="RecipeID" />
          </Key>
          <Property Name="RecipeID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="RecipeName" Type="String" MaxLength="100" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="CategoryID" Type="Int32" />
          <Property Name="Author" Type="Int32" />
          <Property Name="Picture" Type="Binary" MaxLength="Max" FixedLength="false" />
          <Property Name="TargetAmount" Type="Int32" Nullable="false" />
          <Property Name="Instructions" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Category" Relationship="Self.FK__Recipies__Catego__4E88ABD4" FromRole="Recipies" ToRole="Categories" />
          <NavigationProperty Name="Details" Relationship="Self.FK__Details__RecipeI__571DF1D5" FromRole="Recipies" ToRole="Details" />
          <NavigationProperty Name="Orders" Relationship="Self.FK__Orders__ReceipeI__5DCAEF64" FromRole="Recipies" ToRole="Orders" />
          <NavigationProperty Name="User" Relationship="Self.FK__Recipies__Author__4F7CD00D" FromRole="Recipies" ToRole="Users" />
        </EntityType>
        <EntityType Name="User">
          <Key>
            <PropertyRef Name="UserID" />
          </Key>
          <Property Name="UserID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UserName" Type="String" MaxLength="40" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="UserRole" Type="String" MaxLength="20" FixedLength="true" Unicode="false" />
          <Property Name="EMail" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Phone" Type="String" MaxLength="32" FixedLength="false" Unicode="false" />
          <Property Name="Address" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="City" Type="String" MaxLength="20" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Orders" Relationship="Self.FK__Orders__UserID__5CD6CB2B" FromRole="Users" ToRole="Orders" />
          <NavigationProperty Name="Recipies" Relationship="Self.FK__Recipies__Author__4F7CD00D" FromRole="Users" ToRole="Recipies" />
        </EntityType>
        <EntityType Name="database_firewall_rules">
          <Key>
            <PropertyRef Name="id" />
            <PropertyRef Name="name" />
            <PropertyRef Name="start_ip_address" />
            <PropertyRef Name="end_ip_address" />
            <PropertyRef Name="create_date" />
            <PropertyRef Name="modify_date" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="start_ip_address" Type="String" MaxLength="45" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="end_ip_address" Type="String" MaxLength="45" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="create_date" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="modify_date" Type="DateTime" Nullable="false" Precision="3" />
        </EntityType>
        <Association Name="FK__Recipies__Catego__4E88ABD4">
          <End Role="Categories" Type="Self.Category" Multiplicity="0..1" />
          <End Role="Recipies" Type="Self.Recipy" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Categories">
              <PropertyRef Name="CategoryID" />
            </Principal>
            <Dependent Role="Recipies">
              <PropertyRef Name="CategoryID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Details__Ingredi__59063A47">
          <End Role="Ingredients" Type="Self.Ingredient" Multiplicity="0..1" />
          <End Role="Details" Type="Self.Detail" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Ingredients">
              <PropertyRef Name="IngredientID" />
            </Principal>
            <Dependent Role="Details">
              <PropertyRef Name="IngredientID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Details__RecipeI__571DF1D5">
          <End Role="Recipies" Type="Self.Recipy" Multiplicity="1" />
          <End Role="Details" Type="Self.Detail" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Recipies">
              <PropertyRef Name="RecipeID" />
            </Principal>
            <Dependent Role="Details">
              <PropertyRef Name="RecipeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Orders__ReceipeI__5DCAEF64">
          <End Role="Recipies" Type="Self.Recipy" Multiplicity="1" />
          <End Role="Orders" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Recipies">
              <PropertyRef Name="RecipeID" />
            </Principal>
            <Dependent Role="Orders">
              <PropertyRef Name="ReceipeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Orders__UserID__5CD6CB2B">
          <End Role="Users" Type="Self.User" Multiplicity="1" />
          <End Role="Orders" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="Orders">
              <PropertyRef Name="UserID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Recipies__Author__4F7CD00D">
          <End Role="Users" Type="Self.User" Multiplicity="0..1" />
          <End Role="Recipies" Type="Self.Recipy" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Users">
              <PropertyRef Name="UserID" />
            </Principal>
            <Dependent Role="Recipies">
              <PropertyRef Name="Author" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="ToitKojuEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Categories" EntityType="Self.Category" />
          <EntitySet Name="Details" EntityType="Self.Detail" />
          <EntitySet Name="Ingredients" EntityType="Self.Ingredient" />
          <EntitySet Name="Orders" EntityType="Self.Order" />
          <EntitySet Name="Recipies" EntityType="Self.Recipy" />
          <EntitySet Name="Users" EntityType="Self.User" />
          <EntitySet Name="database_firewall_rules" EntityType="Self.database_firewall_rules" />
          <AssociationSet Name="FK__Recipies__Catego__4E88ABD4" Association="Self.FK__Recipies__Catego__4E88ABD4">
            <End Role="Categories" EntitySet="Categories" />
            <End Role="Recipies" EntitySet="Recipies" />
          </AssociationSet>
          <AssociationSet Name="FK__Details__Ingredi__59063A47" Association="Self.FK__Details__Ingredi__59063A47">
            <End Role="Ingredients" EntitySet="Ingredients" />
            <End Role="Details" EntitySet="Details" />
          </AssociationSet>
          <AssociationSet Name="FK__Details__RecipeI__571DF1D5" Association="Self.FK__Details__RecipeI__571DF1D5">
            <End Role="Recipies" EntitySet="Recipies" />
            <End Role="Details" EntitySet="Details" />
          </AssociationSet>
          <AssociationSet Name="FK__Orders__ReceipeI__5DCAEF64" Association="Self.FK__Orders__ReceipeI__5DCAEF64">
            <End Role="Recipies" EntitySet="Recipies" />
            <End Role="Orders" EntitySet="Orders" />
          </AssociationSet>
          <AssociationSet Name="FK__Orders__UserID__5CD6CB2B" Association="Self.FK__Orders__UserID__5CD6CB2B">
            <End Role="Users" EntitySet="Users" />
            <End Role="Orders" EntitySet="Orders" />
          </AssociationSet>
          <AssociationSet Name="FK__Recipies__Author__4F7CD00D" Association="Self.FK__Recipies__Author__4F7CD00D">
            <End Role="Users" EntitySet="Users" />
            <End Role="Recipies" EntitySet="Recipies" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="ToitKojuModelStoreContainer" CdmEntityContainer="ToitKojuEntities">
          <EntitySetMapping Name="Categories">
            <EntityTypeMapping TypeName="ToitKojuModel.Category">
              <MappingFragment StoreEntitySet="Categories">
                <ScalarProperty Name="CategoryID" ColumnName="CategoryID" />
                <ScalarProperty Name="CategoryName" ColumnName="CategoryName" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="Picture" ColumnName="Picture" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Details">
            <EntityTypeMapping TypeName="ToitKojuModel.Detail">
              <MappingFragment StoreEntitySet="Details">
                <ScalarProperty Name="DetailID" ColumnName="DetailID" />
                <ScalarProperty Name="RecipeID" ColumnName="RecipeID" />
                <ScalarProperty Name="OrderNo" ColumnName="OrderNo" />
                <ScalarProperty Name="IngredientID" ColumnName="IngredientID" />
                <ScalarProperty Name="Comment" ColumnName="Comment" />
                <ScalarProperty Name="Unit" ColumnName="Unit" />
                <ScalarProperty Name="UnitsAmount" ColumnName="UnitsAmount" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Ingredients">
            <EntityTypeMapping TypeName="ToitKojuModel.Ingredient">
              <MappingFragment StoreEntitySet="Ingredients">
                <ScalarProperty Name="IngredientID" ColumnName="IngredientID" />
                <ScalarProperty Name="IngredientName" ColumnName="IngredientName" />
                <ScalarProperty Name="Unit" ColumnName="Unit" />
                <ScalarProperty Name="UnitsInStock" ColumnName="UnitsInStock" />
                <ScalarProperty Name="UnitPrice" ColumnName="UnitPrice" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Orders">
            <EntityTypeMapping TypeName="ToitKojuModel.Order">
              <MappingFragment StoreEntitySet="Orders">
                <ScalarProperty Name="OrderID" ColumnName="OrderID" />
                <ScalarProperty Name="OrderDate" ColumnName="OrderDate" />
                <ScalarProperty Name="DeliveryDate" ColumnName="DeliveryDate" />
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="ReceipeID" ColumnName="ReceipeID" />
                <ScalarProperty Name="ActualEaters" ColumnName="ActualEaters" />
                <ScalarProperty Name="DeliveryInstructions" ColumnName="DeliveryInstructions" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Recipies">
            <EntityTypeMapping TypeName="ToitKojuModel.Recipy">
              <MappingFragment StoreEntitySet="Recipies">
                <ScalarProperty Name="RecipeID" ColumnName="RecipeID" />
                <ScalarProperty Name="RecipeName" ColumnName="RecipeName" />
                <ScalarProperty Name="CategoryID" ColumnName="CategoryID" />
                <ScalarProperty Name="Author" ColumnName="Author" />
                <ScalarProperty Name="Picture" ColumnName="Picture" />
                <ScalarProperty Name="TargetAmount" ColumnName="TargetAmount" />
                <ScalarProperty Name="Instructions" ColumnName="Instructions" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Users">
            <EntityTypeMapping TypeName="ToitKojuModel.User">
              <MappingFragment StoreEntitySet="Users">
                <ScalarProperty Name="UserID" ColumnName="UserID" />
                <ScalarProperty Name="UserName" ColumnName="UserName" />
                <ScalarProperty Name="UserRole" ColumnName="UserRole" />
                <ScalarProperty Name="EMail" ColumnName="EMail" />
                <ScalarProperty Name="Phone" ColumnName="Phone" />
                <ScalarProperty Name="Address" ColumnName="Address" />
                <ScalarProperty Name="City" ColumnName="City" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="database_firewall_rules">
            <EntityTypeMapping TypeName="ToitKojuModel.database_firewall_rules">
              <MappingFragment StoreEntitySet="database_firewall_rules">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="start_ip_address" ColumnName="start_ip_address" />
                <ScalarProperty Name="end_ip_address" ColumnName="end_ip_address" />
                <ScalarProperty Name="create_date" ColumnName="create_date" />
                <ScalarProperty Name="modify_date" ColumnName="modify_date" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>